#!/usr/bin/env sh

# Create XCFramework zip
FRAMEWORK="SegmentationDouglasPeucker.xcframework"

LIBNAME=Dali.Segmentation.DouglasPeucker.dylib

mkdir ios-sim-lipo
IOS_SIM_LIPO=ios-sim-lipo/$LIBNAME

lipo -create -output $IOS_SIM_LIPO \
  ./ios/libs/iossimulator-arm64/$LIBNAME \
  ./ios/libs/iossimulator-x64/$LIBNAME

xcodebuild -create-xcframework \
  -library $IOS_SIM_LIPO \
  -library ./ios/libs/ios-arm64/$LIBNAME \
  -output ./$FRAMEWORK
